View Issue Details

IDProjectCategoryLast Update
0021605AI War 2[All Projects] Bug - GameplaySep 9, 2019 6:24 pm
ReporterAsteroidAssigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.887 Ending Scenes 
Fixed in Version0.888 Astro Examination 
Summary0021605: Can't place matter converter when out of energy
DescriptionIf you have negative energy, you can't place a matter converter to get more energy... so you can't place it in the situation where you'd be most likely to need one.
TagsNo tags attached.

Activities

Asteroid

Sep 8, 2019 8:09 pm

reporter  

2019-09-08 20_06_45-AIWar2.png (926,036 bytes)

zeusalmighty

Sep 8, 2019 11:11 pm

reporter   ~0052937

This is obnoxious! Energy isn't as cheap as it used to be XD

Asteroid

Sep 9, 2019 12:06 am

reporter   ~0052939

There you go, save included where I artificially reproduced the situation by killing my buildings. Super easy to repro though, just destroy your energy collectors until you have a brownout, and notice you can't build matter converters.

OutOfEnergyNoMatterConverter.save (716,741 bytes)
OutOfEnergyNoMatterConverter.savemet (63 bytes)

x4000Bughunter

Sep 9, 2019 6:12 pm

administrator   ~0052967

I'll take this one, Badger.

x4000Bughunter

Sep 9, 2019 6:24 pm

administrator   ~0052969

* Fixed a bug where if you had negative energy, you could not build anything that cost zero energy. Now it's properly only preventing you from building things that cost energy.
** The most obvious benefit of this is matter converters, but it should also be relevant to drones and command stations.


Thanks!

Issue History

Date Modified Username Field Change
Sep 8, 2019 8:09 pm Asteroid New Issue
Sep 8, 2019 8:09 pm Asteroid File Added: 2019-09-08 20_06_45-AIWar2.png
Sep 8, 2019 11:11 pm zeusalmighty Note Added: 0052937
Sep 9, 2019 12:06 am Asteroid File Added: OutOfEnergyNoMatterConverter.save
Sep 9, 2019 12:06 am Asteroid File Added: OutOfEnergyNoMatterConverter.savemet
Sep 9, 2019 12:06 am Asteroid Note Added: 0052939
Sep 9, 2019 6:12 pm x4000Bughunter Note Added: 0052967
Sep 9, 2019 6:24 pm BadgerBadger Assigned To => x4000Bughunter
Sep 9, 2019 6:24 pm BadgerBadger Status new => assigned
Sep 9, 2019 6:24 pm x4000Bughunter Status assigned => resolved
Sep 9, 2019 6:24 pm x4000Bughunter Resolution open => fixed
Sep 9, 2019 6:24 pm x4000Bughunter Fixed in Version => 0.888 Astro Examination
Sep 9, 2019 6:24 pm x4000Bughunter Note Added: 0052969